###################################################
### chunk number 1: 
###################################################
library("graph")
library("RBGL")
library("Rgraphviz")


###################################################
### chunk number 2: randGraph
###################################################
library("QuACN")
set.seed(666)
g <- randomGraph(1:8, 1:5, 0.36)
plot(g,"neato")
g


###################################################
### chunk number 3: 
###################################################
mat.adj <- adjacencyMatrix(g)
mat.dist <- distanceMatrix(g)
vec.degree <- graph::degree(g)
ska.dia <- diameter(g)
ska.dia <- diameter(g,mat.dist)


###################################################
### chunk number 4: 
###################################################
wien <- wiener(g)
wiener(g,mat.dist)


###################################################
### chunk number 5: 
###################################################
harary(g)
harary(g,mat.dist)


###################################################
### chunk number 6: 
###################################################
balabanJ(g)
balabanJ(g,mat.dist)


###################################################
### chunk number 7: 
###################################################
meanDistanceDeviation(g)
meanDistanceDeviation(g,mat.dist)


###################################################
### chunk number 8: 
###################################################
compactness(g)
compactness(g,mat.dist)
compactness(g,mat.dist,wiener(g,mat.dist))


###################################################
### chunk number 9: 
###################################################
productOfRowSums(g,log=FALSE)
productOfRowSums(g,log=TRUE)
productOfRowSums(g,mat.dist,log=FALSE)
productOfRowSums(g,mat.dist,log=TRUE)


###################################################
### chunk number 10: 
###################################################
hyperDistancePathIndex(g)
hyperDistancePathIndex(g,mat.dist)
hyperDistancePathIndex(g,mat.dist,wiener(g,mat.dist))


###################################################
### chunk number 11: 
###################################################
totalAdjacency(g)
totalAdjacency(g,mat.adj)


###################################################
### chunk number 12: 
###################################################
zagreb1(g)
zagreb1(g,vec.degree)
zagreb2(g)
zagreb2(g,vec.degree)


###################################################
### chunk number 13: 
###################################################
randic(g)
randic(g,vec.degree)


###################################################
### chunk number 14: 
###################################################
complexityIndexB(g)
complexityIndexB(g,mat.dist)
complexityIndexB(g,mat.dist,vec.degree)


###################################################
### chunk number 15: 
###################################################
normalizedEdgeComplexity(g)
normalizedEdgeComplexity(g,totalAdjacency(g,mat.adj))


###################################################
### chunk number 16: 
###################################################
topologicalInfoContent(g)
topologicalInfoContent(g,mat.dist)
topologicalInfoContent(g,mat.dist,vec.degree)


###################################################
### chunk number 17: 
###################################################
#I_D(G)
bonchev1(g)
bonchev1(g,mat.dist)
#I^W_D(G)
bonchev2(g)
bonchev2(g,mat.dist)
bonchev2(g,mat.dist,wiener(g))


###################################################
### chunk number 18: 
###################################################
bertz(g)
bertz(g,mat.dist)
bertz(g,mat.dist,vec.degree)


###################################################
### chunk number 19: 
###################################################
radialCentric(g)
radialCentric(g,mat.dist)


###################################################
### chunk number 20: 
###################################################
vertexDegree(g)
vertexDegree(g,vec.degree)


###################################################
### chunk number 21: 
###################################################
#Balaban-like information index U(G)
balabanlike1(g)
balabanlike1(g,mat.dist)
#Balaban-like information index X(G)
balabanlike2(g)
balabanlike2(g,mat.dist)


###################################################
### chunk number 22: 
###################################################
graphVertexComplexity(g)
graphVertexComplexity(g,mat.dist)


###################################################
### chunk number 23: 
###################################################
l1 <- infoTheoreticGCM(g)
l2 <- infoTheoreticGCM(g,mat.dist,coeff="lin",infofunct="sphere",lamda=1000)
l3 <- infoTheoreticGCM(g,mat.dist,coeff="exp",infofunct="sphere",lamda=1000)
l4 <- infoTheoreticGCM(g,mat.dist,coeff="const",infofunct="pathlength",lamda=4000)
l5 <- infoTheoreticGCM(g,mat.dist,coeff="quad",infofunct="vertcent",lamda=1000)
l1
l5


###################################################
### chunk number 24: 
###################################################
sessionInfo()


